<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">	
	<xsl:import href="../Stat Block/Spells Known.xsl"/>	
	<xsl:import href="../Stat Block/Spells Prepared.xsl"/>	
	<xsl:output method="html" indent="no" encoding="UTF-8"/>	
	<xsl:template match="/character">		
		<html>			
			<body>				
				<xsl:attribute name="bgcolor">WHITE</xsl:attribute>				
				<xsl:choose>					
					<xsl:when test="gender != ''">						
						<font face="Verdana" style="font-size:9pt">							
							<xsl:value-of select="classes/string"/>						
						</font>					
					</xsl:when>					
					<xsl:otherwise>						
						<font face="Verdana" style="font-size:9pt">							
							<xsl:value-of select="race"/>							
							<xsl:text> </xsl:text>							
							<xsl:value-of select="class"/>						
						</font>					
					</xsl:otherwise>				
				</xsl:choose>				
				<table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="white">					
					<tr>						
						<td align="center" width="30%" style="border-right: 1pt solid black; border-left: 2pt solid black; border-top: 2pt solid black">							
							<font face="Verdana" style="font-size:9pt">								
								<b>									
									<xsl:value-of select="name"/>								
								</b>							
							</font>						
						</td>						
						<td align="center" width="30%" style="border-left: 1pt solid black; border-right: 1pt solid black; border-top: 2pt solid black">							
							<font face="Verdana" style="font-size:9pt">								
								<xsl:value-of select="race"/>								
								<br/>							
							</font>						
						</td>						
						<td align="center" width="10%" style="border-left: 1pt solid black; border-right: 1pt solid black; border-top: 2pt solid black">							
							<font face="Verdana" style="font-size:9pt">								
								<xsl:value-of select="hit-points"/>								
								<br/>							
							</font>						
						</td>						
						<td width="10%" style="border-right: 1pt solid black; border-top: 2pt solid black">							
							<br/>						
						</td>						
						<td align="center" width="20%" style="border-left: 1pt solid black; border-right: 2pt solid black; border-top: 2pt solid black">							
							<font face="Verdana" style="font-size: 9pt">								
								<xsl:for-each select="speeds/speed">									
									<xsl:if test="position() &gt; 1">										
										<xsl:text>, </xsl:text>									
									</xsl:if>									
									<xsl:choose>										
										<xsl:when test="name = 'Base'">											
											<xsl:value-of select="value"/>										
										</xsl:when>										
										<xsl:otherwise>											
											<xsl:value-of select="name"/>											
											<xsl:text> </xsl:text>											
											<xsl:value-of select="value"/>										
										</xsl:otherwise>									
									</xsl:choose>								
								</xsl:for-each>							
							</font>						
						</td>					
					</tr>					
					<tr>						
						<td align="center" bgcolor="gray" style="border-right: 1pt solid black; border-left: 2pt solid black; border-bottom: 1pt solid black">							
							<font face="Verdana" style="font-size:7pt">								
								<b>NAME</b>							
							</font>						
						</td>						
						<td align="center" bgcolor="gray" style="border-right: 1pt solid black; border-left: 1pt solid black; border-bottom: 1pt solid black">							
							<font face="Verdana" style="font-size:7pt">								
								<b>RACE</b>							
							</font>						
						</td>						
						<td align="center" bgcolor="gray" colspan="2" style="border-right: 1pt solid black; border-left: 1pt solid black; border-bottom: 1pt solid black">							
							<font face="Verdana" style="font-size:7pt">								
								<b>HP</b>							
							</font>						
						</td>						
						<td align="center" bgcolor="gray" style="border-right: 2pt solid black; border-left: 1pt solid black; border-bottom: 1pt solid black">							
							<font face="Verdana" style="font-size:7pt">								
								<b>SPEED</b>							
							</font>						
						</td>					
					</tr>				
				</table>				
				<table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="white">					
					<tr>						
						<td width="50%" valign="top" style="border-right: 2pt solid black">							
							<table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="white">								
								<xsl:for-each select="equiped-items/weapons">									
									<xsl:for-each select="weapon">										
										<tr>											
											<td align="center" width="20%" style="border-right: 1pt solid black; border-top: 1pt solid black; border-left: 2pt solid black">												
												<font face="Verdana" style="font-size:9pt">													
													<xsl:value-of select="name"/>													
													<br/>													
													<xsl:value-of select="use-type"/>													
													<xsl:text> </xsl:text>													
													<xsl:value-of select="type"/>												
												</font>											
											</td>											
											<td align="center" width="10%" style="border-right: 1pt solid black; border-top: 1pt solid black">												
												<font face="Verdana" style="font-size:9pt">					
													<xsl:variable name="basebonus1" select="/character/attacks/base"/>					
													<xsl:variable name="basebonus2" select="substring($basebonus1,2) - 5"/>					
													<xsl:variable name="basebonus3" select="substring($basebonus1,2) - 10"/>					
													<xsl:variable name="basebonus4" select="substring($basebonus1,2) - 15"/>					
													<xsl:variable name="basemonk2" select="substring($basebonus1,2) - 3"/>					
													<xsl:variable name="basemonk3" select="substring($basebonus1,2) - 6"/>					
													<xsl:variable name="basemonk4" select="substring($basebonus1,2) - 9"/>					
													<xsl:variable name="basemonk5" select="substring($basebonus1,2) - 12"/>					
													<xsl:variable name="basemonk6" select="substring($basebonus1,2) - 15"/>					
													<xsl:variable name="tmpbonus1" select="bonus"/>					
													<xsl:variable name="tmpbonus2" select="substring($tmpbonus1,2) - 5"/>					
													<xsl:variable name="tmpbonus3" select="substring($tmpbonus1,2) - 10"/>					
													<xsl:variable name="tmpbonus4" select="substring($tmpbonus1,2) - 15"/>					
													<xsl:variable name="mnkbonus2" select="substring($tmpbonus1,2) - 3"/>					
													<xsl:variable name="mnkbonus3" select="substring($tmpbonus1,2) - 6"/>					
													<xsl:variable name="mnkbonus4" select="substring($tmpbonus1,2) - 9"/>					
													<xsl:variable name="mnkbonus5" select="substring($tmpbonus1,2) - 12"/>					
													<xsl:variable name="mnkbonus6" select="substring($tmpbonus1,2) - 15"/>					
													<xsl:value-of select="$tmpbonus1"/>					
													<xsl:if test="position() = 1">						
														<xsl:choose>							
															<xsl:when test="name = 'Unarmed' or name = 'Kama' or name = 'Nunchaku' or name = 'Siangham'">								
																<xsl:for-each select="/character/classes/class">									
																	<xsl:if test="name = 'Monk'">										
																		<xsl:if test="$basemonk2 > 0">											
																			<xsl:text>/</xsl:text>											
																			<xsl:value-of select="$mnkbonus2"/>										
																		</xsl:if>										
																		<xsl:if test="$basemonk3 > 0">											
																			<xsl:text>/</xsl:text>											
																			<xsl:value-of select="$mnkbonus3"/>										
																		</xsl:if>										
																		<xsl:if test="$basemonk4 > 0">											
																			<xsl:text>/</xsl:text>											
																			<xsl:value-of select="$mnkbonus4"/>										
																		</xsl:if>										
																		<xsl:if test="$basemonk5 > 0">											
																			<xsl:text>/</xsl:text>											
																			<xsl:value-of select="$mnkbonus5"/>										
																		</xsl:if>										
																		<xsl:if test="$basemonk6 > 0">											
																			<xsl:text>/</xsl:text>											
																			<xsl:value-of select="$mnkbonus6"/>										
																		</xsl:if>									
																	</xsl:if>								
																</xsl:for-each>							
															</xsl:when>							
															<xsl:otherwise>								
																<xsl:if test="use-type != 'Double'">									
																	<xsl:if test="$basebonus2 > 0">										
																		<xsl:text>/</xsl:text>										
																		<xsl:value-of select="$tmpbonus2"/>									
																	</xsl:if>									
																	<xsl:if test="$basebonus3 > 0">										
																		<xsl:text>/</xsl:text>										
																		<xsl:value-of select="$tmpbonus3"/>									
																	</xsl:if>									
																	<xsl:if test="$basebonus4 > 0">										
																		<xsl:text>/</xsl:text>										
																		<xsl:value-of select="$tmpbonus4"/>									
																	</xsl:if>								
																</xsl:if>								
																<xsl:if test="use-type = 'Double'">									
																	<xsl:if test="substring(bonus, 4, 1) = '/'">										
																		<xsl:if test="$basebonus2 > 0">											
																			<xsl:text>/</xsl:text>											
																			<xsl:value-of select="substring(bonus, 2, 2) - 5"/>										
																		</xsl:if>										
																		<xsl:if test="$basebonus3 > 0">											
																			<xsl:text>/</xsl:text>											
																			<xsl:value-of select="substring(bonus, 2, 2) - 10"/>										
																		</xsl:if>										
																		<xsl:if test="$basebonus4 > 0">											
																			<xsl:text>/</xsl:text>											
																			<xsl:value-of select="substring(bonus, 2, 2) - 15"/>										
																		</xsl:if>									
																	</xsl:if>									
																	<xsl:if test="substring(bonus, 3, 1) = '/'">										
																		<xsl:if test="$basebonus2 > 0">											
																			<xsl:text>/</xsl:text>											
																			<xsl:value-of select="substring(bonus, 2, 1) - 5"/>										
																		</xsl:if>										
																		<xsl:if test="$basebonus3 > 0">											
																			<xsl:text>/</xsl:text>											
																			<xsl:value-of select="substring(bonus, 2, 1) - 10"/>										
																		</xsl:if>										
																		<xsl:if test="$basebonus4 > 0">											
																			<xsl:text>/</xsl:text>											
																			<xsl:value-of select="substring(bonus, 2, 1) - 15"/>										
																		</xsl:if>									
																	</xsl:if>								
																</xsl:if>							
															</xsl:otherwise>						
														</xsl:choose>					
													</xsl:if>					
													<xsl:if test="position() > 1">						
														<xsl:for-each select="//character/features/feats/feat">							
															<xsl:if test="name = 'Improved Two-Weapon Fighting'">								
																<xsl:if test="$basebonus2 > 0">									
																	<xsl:text>/</xsl:text>									
																	<xsl:value-of select="$tmpbonus2"/>								
																</xsl:if>							
															</xsl:if>						
														</xsl:for-each>					
													</xsl:if>
													<!--													<xsl:value-of select="bonus"/>													-->													
													<br/>												
												</font>											
											</td>											
											<td align="center" width="10%" style="border-right: 1pt solid black; border-top: 1pt solid black">												
												<font face="Verdana" style="font-size:9pt">													
													<xsl:value-of select="damage"/>													
													<br/>												
												</font>											
											</td>											
											<td align="center" width="10%" style="border-top: 1pt solid black">												
												<font face="Verdana" style="font-size:9pt">													
													<xsl:value-of select="critical"/>													
													<br/>												
												</font>											
											</td>										
										</tr>										
										<xsl:if test="position() = last()">											
											<tr>												
												<td bgcolor="gray" align="center" style="border-right: 1pt solid black; border-bottom: 1pt solid black; border-left: 2pt solid black">													
													<font face="Verdana" style="font-size:7pt">														
														<b>WEAPON/TYPE</b>													
													</font>												
												</td>												
												<td bgcolor="gray" align="center" style="border-right: 1pt solid black; border-bottom: 1pt solid black">													
													<font face="Verdana" style="font-size:7pt">														
														<b>ATK</b>													
													</font>												
												</td>												
												<td bgcolor="gray" align="center" style="border-right: 1pt solid black; border-bottom: 1pt solid black">													
													<font face="Verdana" style="font-size:7pt">														
														<b>DAM</b>													
													</font>												
												</td>												
												<td bgcolor="gray" align="center" style="border-bottom: 1pt solid black">													
													<font face="Verdana" style="font-size:7pt">														
														<b>CRIT</b>													
													</font>												
												</td>											
											</tr>										
										</xsl:if>									
									</xsl:for-each>								
								</xsl:for-each>								
								<tr>									
									<td colspan="4" style="border-top: 1pt solid black">										
										<br/>									
									</td>								
								</tr>							
							</table>						
						</td>						
						<td width="50%">							
							<table align="top" border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="white">								
								<tr>									
									<td align="center" style="border-top: 1pt solid black; border-right: 1pt solid black">										
										<font face="Verdana" style="font-size:9pt">											
											<xsl:value-of select="sum(armor-class/modifiers/modifier[@name != 'misc']/@value)"/>											
											<br/>										
										</font>									
									</td>									
									<td align="center" style="border-top: 1pt solid black; border-left: 1pt solid black; border-right: 1pt solid black">										
										<font face="Verdana" style="font-size:9pt">											
											<xsl:variable name="init" select="sum(initiative/modifiers/modifier[@name != 'misc']/@value)"/>											
											<xsl:choose>												
												<xsl:when test="$init >= 0">
					+
													<xsl:value-of select="$init"/>												
												</xsl:when>												
												<xsl:otherwise>
					-
													<xsl:value-of select="$init"/>												
												</xsl:otherwise>											
											</xsl:choose>											
											<br/>										
										</font>									
									</td>									
									<xsl:for-each select="saving-throws/saving-throw">										
										<td align="center">											
											<xsl:choose>												
												<xsl:when test="position() = last()">													
													<xsl:attribute name="style">border-right: 2pt solid black; border-top: 1pt solid black</xsl:attribute>												
												</xsl:when>												
												<xsl:when test="position() = 1">													
													<xsl:attribute name="style">border-left: 1pt solid black; border-right: 1pt solid black; border-top: 1pt solid black</xsl:attribute>												
												</xsl:when>												
												<xsl:otherwise>													
													<xsl:attribute name="style">border-right: 1pt solid black; border-top: 1pt solid black</xsl:attribute>												
												</xsl:otherwise>											
											</xsl:choose>											
											<font face="Verdana" style="font-size:9pt">												
												<xsl:variable name="save" select="sum(modifiers/modifier[@name != 'misc']/@value)"/>												
												<xsl:choose>													
													<xsl:when test="$save >= 0">
						+
														<xsl:value-of select="$save"/>													
													</xsl:when>													
													<xsl:otherwise>
						-
														<xsl:value-of select="$save"/>													
													</xsl:otherwise>												
												</xsl:choose>												
												<br/>											
											</font>										
										</td>									
									</xsl:for-each>								
								</tr>								
								<tr>									
									<td bgcolor="gray" align="center" style="border-right: 1pt solid black; border-bottom: 1pt solid black">										
										<font face="Verdana" style="font-size:7pt">											
											<b>AC</b>										
										</font>									
									</td>									
									<td bgcolor="gray" align="center" style="border-left: 1pt solid black; border-right: 1pt solid black; border-bottom: 1pt solid black">										
										<font face="Verdana" style="font-size:7pt">											
											<b>INIT</b>										
										</font>									
									</td>									
									<td bgcolor="gray" align="center" style="border-left: 1pt solid black; border-bottom: 1pt solid black; border-right: 1pt solid black">										
										<font face="Verdana" style="font-size:7pt">											
											<b>FORT</b>										
										</font>									
									</td>									
									<td bgcolor="gray" align="center" style="border-bottom: 1pt solid black; border-right: 1pt solid black">										
										<font face="Verdana" style="font-size:7pt">											
											<b>REF</b>										
										</font>									
									</td>									
									<td bgcolor="gray" align="center" style="border-bottom: 1pt solid black; border-right: 2pt solid black">										
										<font face="Verdana" style="font-size:7pt">											
											<b>WILL</b>										
										</font>									
									</td>								
								</tr>								
								<tr>									
									<td bgcolor="gray" colspan="5" align="center" style="border-top: 1pt solid black; border-right: 2pt solid black">										
										<font face="Verdana" style="font-size:7pt">											
											<b>SPELLS</b>										
										</font>									
									</td>								
								</tr>								
								<tr>									
									<td colspan="5" style="border-right: 2pt solid black; border-bottom: 2pt solid black">										
										<font face="Verdana" style="font-size:9pt">											
											<xsl:apply-templates select="spells-known"/>											
											<xsl:apply-templates select="spells-prepared"/>										
										</font>									
									</td>								
								</tr>							
							</table>						
						</td>					
					</tr>				
				</table>			
			</body>		
		</html>	
	</xsl:template>
</xsl:stylesheet>