<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">	
	<xsl:import href="Ray(Header)"/>	
	<xsl:import href="Ray(Ability)"/>	
	<xsl:import href="Ray(Skills)"/>	
	<xsl:import href="Ray(Combat)"/>	
	<xsl:import href="Ray(Equipment)"/>	
	<xsl:import href="Ray(Spellbook)"/>	
	<xsl:import href="Ray(Follower)"/>	
	<xsl:import href="Ray(Notes)"/>	
	<xsl:output method="html" indent="no" encoding="UTF-8"/>	
	<xsl:template match="/character">		
		<html>			
			<title>Character Sheet</title>			
			<body>							
				<xsl:attribute name="bgcolor">white</xsl:attribute>				
				<xsl:call-template name="char-info"/>				
				<table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="white">					
					<tr>						
						<td width="15%"></td>						
						<td width="15%"></td>						
						<td width="15%"></td>						
						<td width="10%"></td>						
						<td width="15%"></td>						
						<td width="15%"></td>						
						<td width="15%"></td>					
					</tr>					
					<tr>						
						<td rowspan="2" colspan="2" valign="top">							
							<xsl:apply-templates select="abilities"/>							
							<br/>						
						</td>						
						<td colspan="5" valign="top">							
							<table>								
								<xsl:apply-templates select="hit-points"/>								
								<xsl:apply-templates select="armor-class"/>							
							</table>						
						</td>					
					</tr>					
					<tr>						
						<td colspan="2" valign="top">							
							<xsl:apply-templates select="initiative"/>						
						</td>						
						<td colspan="2" valign="top">							
							<xsl:apply-templates select="attacks/base"/>						
						</td>						
						<td colspan="3"></td>					
					</tr>					
					<tr>						
						<td colspan="4" valign="top">							
							<xsl:apply-templates select="saving-throws"/>							
							<xsl:apply-templates select="attacks"/>							
							<xsl:apply-templates select="equiped-items/weapons"/>							
							<xsl:apply-templates select="equiped-items/armor"/>							
							<xsl:apply-templates select="equiped-items/shield"/>							
							<xsl:apply-templates select="equiped-items/protective-item"/>						
						</td>						
						<td colspan="3" valign="top">							
							<xsl:apply-templates select="skills"/>						
						</td>					
					</tr>				
				</table>				
				<br style="page-break-after: always"/>				
				<table border="0" cellpadding="2" cellspacing="0" width="100%" bgcolor="white">					
					<tr>						
						<td width="35%"></td>						
						<td width="4%"></td>						
						<td width="10%"></td>						
						<td width="35%"></td>						
						<td width="5%"></td>						
						<td width="10%"></td>					
					</tr>					
					<tr>						
						<td colspan="2" align="center" style="border-bottom-width:1px; border-bottom: 1pt solid black">							
							<br/>						
						</td>						
						<td></td>						
						<td colspan="2" align="left" style="border-bottom-width:1px; border-bottom: 1pt solid black">							
							<xsl:value-of select="name"/>							
							<br/>						
						</td>					
					</tr>					
					<tr>						
						<td colspan="2" align="top">							
							<font face="Verdana" style="font-size:7pt" color="black">
											CAMPAIGN
								<br/>							
							</font>						
						</td>						
						<td></td>						
						<td colspan="2" align="top">							
							<font face="Verdana" style="font-size:7pt" color="black">
											CHARACTER
								<br/>							
							</font>						
						</td>					
					</tr>					
					<tr>						
						<td align="center" colspan="6" bgcolor="black">							
							<font face="Verdana" style="font-size:9pt" color="white">								
								<b>EQUIPMENT</b>							
							</font>						
						</td>					
					</tr>					
					<tr>						
						<td align="center" style="border-left: 2px solid black; border-bottom: 1px solid black">							
							<font face="Verdana" style="font-size:8pt" color="black">ITEM</font>						
						</td>						
						<td align="center" style="border-left: 1px solid black; border-bottom: 1px solid black; ">							
							<font face="Verdana" style="font-size:8pt" color="black">QTY</font>						
						</td>						
						<td align="center" style="border-right: 1px solid black; border-left: 1px solid black; border-bottom: 1px solid black">							
							<font face="Verdana" style="font-size:8pt" color="black">WT.</font>						
						</td>						
						<td align="center" style="border-left: 1px solid black; border-bottom: 1px solid black">							
							<font face="Verdana" style="font-size:8pt" color="black">ITEM</font>						
						</td>						
						<td align="center" style="border-left: 1px solid black; border-bottom: 1px solid black">							
							<font face="Verdana" style="font-size:8pt" color="black">QTY</font>						
						</td>						
						<td align="center" style="border-right: 2px solid black; border-left: 1px solid black; border-bottom: 1px solid black">							
							<font face="Verdana" style="font-size:8pt" color="black">WT.</font>						
						</td>					
					</tr>					
					<xsl:call-template name="empty-or-item">						
						<xsl:with-param name="max" select="ceiling(count(/character/items/item)) + 1"/>					
					</xsl:call-template>					
					<tr>						
						<td colspan="3">							
							<table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="white">								
								<tr>									
									<td width="16%"></td>									
									<td width="16%"></td>									
									<td width="16%"></td>								
								</tr>								
								<tr>									
									<td align="center">										
										<font face="Verdana" style="font-size:6pt">											
											<b>LIGHT LOAD: </b>										
										</font>										
									<br/>									
										<font face="Verdana" style="font-size:8pt">											
											<xsl:value-of select="load/light"/> lbs
										</font>									
									</td>									
									<td align="center">										
										<font face="Verdana" style="font-size:6pt">											
											<b>MEDIUM LOAD: </b>										
										</font>										
									<br/>									
										<font face="Verdana" style="font-size:8pt">											
											<xsl:value-of select="load/medium"/> lbs
										</font>									
									</td>									
									<td align="center">										
										<font face="Verdana" style="font-size:6pt">											
											<b>HEAVY LOAD: </b>										
										</font>										
									<br/>									
										<font face="Verdana" style="font-size:8pt">											
											<xsl:value-of select="load/heavy"/> lbs
										</font>									
									</td>								
								</tr>							
							</table>						
						</td>						
						<td colspan="2" align="right">							
							<font face="Verdana" style="font-size:8pt" color="black">
										TOTAL WEIGHT CARRIED
							</font>						
						</td>						
						<td align="center" style="border: 2px solid black">							
							<font face="Verdana" style="font-size:8pt" color="black">								
								<xsl:value-of select="load/carried"/> lbs
								<br/>							
							</font>						
						</td>					
					</tr>				
				</table>				
				<table border="0" cellpadding="0" cellspacing="6" width="100%" bgcolor="white">					
					<tr>						
						<td width="55%"></td>						
						<td width="45%"></td>					
					</tr>					
					<tr>						
						<td valign="top">							
							<table border="0" cellpadding="2" cellspacing="0" width="100%" bgcolor="white">								
								<tr>									
									<td width="25%"></td>									
									<td width="25%"></td>									
									<td width="25%"></td>									
									<td width="25%"></td>									
								</tr>								
								<tr>									
									<td align="center" bgcolor="black">										
										<font face="Verdana" style="font-size:9pt" color="white">											
											<b>MONEY</b>										
										</font>									
									</td>								
									<td align="center" bgcolor="black">										
										<font face="Verdana" style="font-size:9pt" color="white">											
											<b>GEMS</b>										
										</font>									
									</td>								
									<td align="center" bgcolor="black">										
										<font face="Verdana" style="font-size:9pt" color="white">											
											<b>JEWELRY</b>										
										</font>									
									</td>								
									<td align="center" bgcolor="black">										
										<font face="Verdana" style="font-size:9pt" color="white">											
											<b>MISC</b>										
										</font>									
									</td>								
								</tr>								
								<tr>									
									<td style="border: 1px solid black">										
										<font face="Verdana" style="font-size:7pt" color="black">											
											<xsl:text> CP - </xsl:text>											
											<xsl:value-of select="currency/cp"/>											
											<br/>											
											<xsl:text> SP - </xsl:text>											
											<xsl:value-of select="currency/sp"/>											
											<br/>											
											<xsl:text> GP - </xsl:text>											
											<xsl:value-of select="currency/gp"/>											
											<br/>											
											<xsl:text> PP - </xsl:text>											
											<xsl:value-of select="currency/pp"/>											
										</font>									
									</td>									
									<td style="border: 1px solid black">										
										<font face="Verdana" style="font-size:7pt" color="black">											
											<br/>											
											<br/>											
											<br/>											
											<br/>											
										</font>									
									</td>									
									<td style="border: 1px solid black">										
										<font face="Verdana" style="font-size:7pt" color="black">											
											<br/>											
											<br/>											
											<br/>											
											<br/>											
										</font>									
									</td>									
									<td style="border: 1px solid black">										
										<font face="Verdana" style="font-size:7pt" color="black">											
											<br/>											
											<br/>											
											<br/>											
											<br/>											
										</font>									
									</td>									
								</tr>							
							</table>							
							<br />							
							<table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="white">								
								<tr>									
									<td align="center" bgcolor="black">										
										<font face="Verdana" style="font-size:9pt" color="white">											
											<b>LANGUAGES</b>										
										</font>									
									</td>								
								</tr>								
								<tr>									
									<td style="border: 1px solid black">										
										<xsl:for-each select="languages/language">											
											<xsl:value-of select="."/>											
											<xsl:if test="position()!=last()">, </xsl:if>										
										</xsl:for-each>									
									</td>								
								</tr>							
							</table>							
							<br />							
							<xsl:call-template name="follower"/>						
						</td>						
						<td valign="top">							
							<table border="0" cellpadding="3" cellspacing="0" width="100%" bgcolor="white">								
								<tr>									
									<td align="center" bgcolor="black">										
										<font face="Verdana" style="font-size:8pt" color="white">											
											<b>SPECIAL ABILITIES</b>										
										</font>									
									</td>								
								</tr>								
								<xsl:variable name="specattk" select="count(features/special-attacks/special-attack)"/>								
								<xsl:if test="$specattk &gt; 0">									
									<tr>										
										<td style="border-left: 1px solid black; border-right: 1pt solid black; border-bottom: 1pt solid black" align="center" bgcolor="#DDDDDD">											
											<font face="Verdana" style="font-size:8pt" color="black">												
												<b>Special Attacks</b>											
											</font>										
										</td>									
									</tr>									
									<xsl:for-each select="features/special-attacks/special-attack">										
										<tr>											
											<td style="border-left: 1px solid black; border-right: 1px solid black; border-bottom: 1px solid black">												
												<font face="Verdana" style="font-size:8pt" color="black">													
													<b>SA: </b>													
													<xsl:value-of select="."/>													
													<br/>												
												</font>											
											</td>										
										</tr>									
									</xsl:for-each>								
								</xsl:if>								
								<xsl:variable name="specqual" select="count(features/special-qualities/special-quality)"/>								
								<xsl:if test="$specqual &gt; 0">									
									<tr>										
										<td style="border-left: 1px solid black; border-right: 1pt solid black; border-bottom: 1pt solid black" align="center" bgcolor="#DDDDDD">											
											<font face="Verdana" style="font-size:8pt" color="black">												
												<b>Special Qualities</b>											
											</font>										
										</td>									
									</tr>									
									<xsl:for-each select="features/special-qualities/special-quality">										
										<tr>											
											<td style="border-left: 1px solid black; border-right: 1px solid black; border-bottom: 1px solid black">												
												<font face="Verdana" style="font-size:8pt" color="black">													
													<xsl:value-of select="."/>													
													<br/>												
												</font>											
											</td>										
										</tr>									
									</xsl:for-each>								
								</xsl:if>								
								<xsl:variable name="classfeatures" select="count(/character/features/class-features/class-feature)"/>								
								<xsl:if test="$classfeatures &gt; 0">									
									<xsl:for-each select="features/class-features">										
										<xsl:for-each select="class-feature">											
											<tr>												
												<td style="border-left: 1px solid black; border-right: 1pt solid black; border-bottom: 1pt solid black" align="center" bgcolor="#DDDDDD">													
													<font face="Verdana" style="font-size:8pt" color="black">														
														<b>															
															<xsl:value-of select="name"/> Class Features
														</b>														
														<br/>													
													</font>												
												</td>											
											</tr>											
											<xsl:for-each select="feature">												
												<xsl:variable name="feature" select="."/>												
												<xsl:choose>													
													<xsl:when test="contains($feature, 'Favored Enemies')">												</xsl:when>													
													<xsl:otherwise>														
														<tr>															
															<td style="border-left: 1px solid black; border-right: 1pt solid black; border-bottom: 1pt solid black">																
																<font face="Verdana" style="font-size:8pt" color="black">																	
																	<xsl:text>  </xsl:text>																	
																	<xsl:value-of select="."/>																	
																	<br/>																
																</font>															
															</td>														
														</tr>													
													</xsl:otherwise>												
												</xsl:choose>											
											</xsl:for-each>										
										</xsl:for-each>									
									</xsl:for-each>								
								</xsl:if>								
								<xsl:variable name="racefeatures" select="count(/character/features/race-features/race-feature)"/>								
								<xsl:if test="$racefeatures &gt; 0">									
									<tr>										
										<td style="border-left: 1px solid black; border-right: 1pt solid black; border-bottom: 1pt solid black" align="center" bgcolor="#DDDDDD">											
											<font face="Verdana" style="font-size:8pt" color="black">												
												<b>													
													<xsl:value-of select="/character/race"/> Racial Features
												</b>											
											</font>										
										</td>									
									</tr>									
									<xsl:for-each select="features/race-features/race-feature">										
										<tr>											
											<td style="border-left: 1px solid black; border-right: 1px solid black; border-bottom: 1px solid black">												
												<font face="Verdana" style="font-size:8pt" color="black">													
													<xsl:value-of select="."/>													
													<br/>												
												</font>											
											</td>										
										</tr>									
									</xsl:for-each>								
								</xsl:if>								
								<xsl:for-each select="deity/domain">									
									<xsl:if test="position() = 1">										
										<tr>											
											<td style="border-left: 1px solid black; border-right: 1pt solid black; border-bottom: 1pt solid black" align="center" bgcolor="#DDDDDD">												
												<font face="Verdana" style="font-size:8pt" color="black">													
													<b>Domain Powers</b>													
													<br/>												
												</font>											
											</td>										
										</tr>									
									</xsl:if>									
									<tr>										
										<td style="border-left: 1px solid black; border-right: 1px solid black; border-bottom: 1px solid black">											
											<font face="Verdana" style="font-size:8pt" color="black">												
												<xsl:value-of select="special-power"/>												
												<br/>											
											</font>										
										</td>									
									</tr>								
								</xsl:for-each>							
							</table>							
							<br />							
							<table border="0" cellpadding="3" cellspacing="0" width="100%" bgcolor="white">								
								<tr>									
									<td align="center" bgcolor="black">										
										<font face="Verdana" style="font-size:8pt" color="white">											
											<b>FEATS</b>										
										</font>									
									</td>								
								</tr>								
								<xsl:for-each select="features/feats/feat">									
									<tr>										
										<td style="border-left: 1px solid black; border-right: 1px solid black; border-bottom: 1px solid black">											
											<font face="Verdana" style="font-size:8pt" color="black">												
												<xsl:value-of select="name"/>												
												<br/>											
											</font>										
										</td>									
									</tr>								
								</xsl:for-each>							
							</table>						
						</td>					
					</tr>				
				</table>				
				<xsl:call-template name="spellbook"/>				
				<xsl:call-template name="notes"/>			
			</body>		
		</html>	
	</xsl:template>
</xsl:stylesheet>